Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class DebugContent

    java.lang.Object
      rice.p2p.glacier.v2.DebugContent

All Implemented Interfaces:
  java.io.Serializable, GCPastContent, PastContent

    public class DebugContent

extends java.lang.Object
implements GCPastContent

See Also:
  Serialized Form

Field Summary
`protected boolean` | `isMutable`
`protected Id` | `myId`
`protected byte[]` | `payload`
`protected long` | `version`

Constructor Summary
`DebugContent(Id id, boolean isMutable, long version, byte[] payload)`

Method Summary
`PastContent` | `checkInsert(Id id, PastContent existingContent)` Checks if a insert operation should be allowed.
`GCPastContentHandle` | `getHandle(GCPast local, long expiration)` Produces a handle for this content object.
`PastContentHandle` | `getHandle(Past local)` Produces a handle for this content object.
`Id` | `getId()` Returns the Id under which this object is stored in Past.
`GCPastMetadata` | `getMetadata(long expiration)` Returns the metadata which should be stored with this object.
`byte[]` | `getPayload()`
`long` | `getVersion()` Returns the version number associated with this PastContent object - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.
`boolean` | `isMutable()` States if this content object is mutable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myId

    protected Id myId

### isMutable

    protected boolean isMutable

### version

    protected long version

### payload

    protected transient byte[] payload

Constructor Detail

### DebugContent

    public DebugContent(Id id,
                        boolean isMutable,
                        long version,
                        byte[] payload)

Method Detail

### checkInsert

    public PastContent checkInsert(Id id,
                                   PastContent existingContent)
                            throws PastException

  Description copied from interface: `PastContent`
  Checks if a insert operation should be allowed. Invoked when a Past node receives an insert request and it is a replica root for the id; invoked on the object to be inserted. This method determines the effect of an insert operation on an object that already exists: it computes the new value of the stored object, as a function of the new and the existing object.

  Specified by:
    `checkInsert` in interface `PastContent`
  Parameters:
    `id` - the key identifying the object
  Returns:
    null, if the operation is not allowed; else, the new object to be stored on the local node.
  Throws:
    `PastException`

### getVersion

    public long getVersion()

  Description copied from interface: `GCPastContent`
  Returns the version number associated with this PastContent object - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.

  Specified by:
    `getVersion` in interface `GCPastContent`
  Returns:
    The version number of this object

### getHandle

    public PastContentHandle getHandle(Past local)

  Description copied from interface: `PastContent`
  Produces a handle for this content object. The handle is retrieved and returned to the client as a result of the Past.lookupHandles() method.

  Specified by:
    `getHandle` in interface `PastContent`
  Returns:
    the handle

### getHandle

    public GCPastContentHandle getHandle(GCPast local,
                                         long expiration)

  Description copied from interface: `GCPastContent`
  Produces a handle for this content object. The handle is retrieved and returned to the client as a result of the Past.lookupHandles() method.

  Specified by:
    `getHandle` in interface `GCPastContent`
  Returns:
    the handle

### getId

    public Id getId()

  Description copied from interface: `PastContent`
  Returns the Id under which this object is stored in Past.

  Specified by:
    `getId` in interface `PastContent`
  Returns:
    the id

### isMutable

    public boolean isMutable()

  Description copied from interface: `PastContent`
  States if this content object is mutable. Mutable objects are not subject to dynamic caching in Past.

  Specified by:
    `isMutable` in interface `PastContent`
  Returns:
    true if this object is mutable, else false

### getPayload

    public byte[] getPayload()

### getMetadata

    public GCPastMetadata getMetadata(long expiration)

  Description copied from interface: `GCPastContent`
  Returns the metadata which should be stored with this object. Allows applications to add arbitrary items into the object's metadata.

  Specified by:
    `getMetadata` in interface `GCPastContent`
  Returns:
    the handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.